[% USE Scalar %]
[% IF !locatie %]
    [% locatie = 'Netherlands, ' _ c.get_customer_info.woonplaats _ ', '
        _ zaak.kenmerk.aanvrager.woonplaats
        _ ', ' _  zaak.kenmerk.aanvrager.straatnaam
        _ ' ' _ zaak.kenmerk.aanvrager.huisnummer
    %]
[% END %]

<div id="zaak_zaakinformatie_accordion" class="ezra_zaakinformatie_accordion">
    [% UNLESS pip %]
    <h3 class="ezra_load_zaak_element zaak_nr_[% zaak.id %][% (pip ? ' pip' : '') %]" id="load_algemene_zaakinformatie"><a href="#">Algemene zaakinformatie</a><img src="/images/spinner-small.gif" alt="bezig met laden" style="display:none" /></h3>
    <div>
        <!-- algemene_zaakinformatie.tt -->
    </div>


    <h3>
        <a href="#">Relaties met personen, organisaties en adressen</a>
    </h3>
    <div>
        <div class="ui-accordion-inner">
            <table class="table_ztb marginbottom">
                <thead>
                    <th colspan="5" class="th_16px">Personen en organisaties</th>
                </thead>
                <tbody>
                    <tr>
                        <th class="td300">Type</th>
                        <th class="td250">Naam</th>
                        <th>Rol</th>
                        <th class="td30"></th>
                    </tr>
                    <tr class="table_ztb_tr">
[% original_requestor = c.model('Betrokkene').get({ intern => 1, type => zaak.aanvrager.betrokkene_type }, zaak.aanvrager.id) %]
                        <td class="td300">[% c.loc(zaak.aanvrager.betrokkene_type) %]</td>
                        <td class="td250"><a href="[% c.uri_for('/betrokkene/snapshot/') %][% zaak.aanvrager.betrokkene_type %]/[% zaak.aanvrager.id %]" class="ezra_dialog" title="Informatie over aanvrager">[% original_requestor.naam %]</a></td>
                        <td>Aanvrager (bij aanmaken zaak)</td>
                        <td class="td30">
                            <div class="dropdown-wrap right">
                                <div class="dropdown-init icon-toelichting icon icon-hover ezra_dropdown_init_hover"></div>
                                <div class="dropdown dropdown-left dropdown-tooltip">
                                    <div class="dropdown-pijl"></div>
                                    <div class="dropdown-content">
                                    <strong>Magic Strings:</strong><br/>
                                        <[aanvrager_naam]>,<br />
                                        <[aanvrager_straatnaam]>,<br />
                                        etc
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr class="table_ztb_tr">
                        <td class="td300">[% c.loc(zaak.aanvrager.betrokkene_type) %]</td>
                        <td class="td250"><a href="[% c.uri_for('/betrokkene/get/' _ zaak.aanvrager_object.betrokkene_identifier) %]" class="ezra_dialog" title="Informatie over aanvrager" rel="actueel: 1">[% zaak.aanvrager.naam %]</a></td>
                        <td>Aanvrager (actueel)</td>
                        <td class="td30"><a href="[% c.uri_for('/betrokkene/get/' _ zaak.aanvrager_object.betrokkene_identifier) %]" class="ezra_dialog" title="Informatie over aanvrager" rel="actueel: 1"></td>
                    </tr>
                [% IF zaak.coordinator %]
                    <tr class="table_ztb_tr">
                        <td class="td300">Behandelaar</td>
                        <td class="td250"><a href="[% c.uri_for('/betrokkene/get/' _ zaak.coordinator_object.betrokkene_identifier) %]" class="ezra_dialog" title="Informatie over behandelaar">[% zaak.coordinator.naam %]</a></td>
                        <td>Zaakcoordinator</td>
                        <td class="td30">
                            <div class="dropdown-wrap right">
                                <div class="dropdown-init icon-toelichting icon icon-hover ezra_dropdown_init_hover"></div>
                                <div class="dropdown dropdown-left dropdown-tooltip">
                                    <div class="dropdown-pijl"></div>
                                    <div class="dropdown-content">
                                    <strong>Magic Strings:</strong><br/>
                                        <[coordinator]>,<br />
                                        <[coordinator_tel]>,<br />
                                        etc
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                [% END %]
                [% IF zaak.behandelaar %]
                    <tr class="table_ztb_tr">
                        <td class="td300">Behandelaar</td>
                        <td class="td250"><a href="[% c.uri_for('/betrokkene/get/' _ zaak.behandelaar_object.betrokkene_identifier) %]" class="ezra_dialog" title="Informatie over behandelaar">[% zaak.behandelaar.naam %]</a></td>
                        <td>Behandelaar</td>
                        <td class="td30">
                            <div class="dropdown-wrap right">
                                <div class="dropdown-init icon-toelichting icon icon-hover ezra_dropdown_init_hover"></div>
                                <div class="dropdown dropdown-left dropdown-tooltip">
                                    <div class="dropdown-pijl"></div>
                                    <div class="dropdown-content">
                                    <strong>Magic Strings:</strong><br/>
                                        <[behandelaar]>,<br />
                                        <[behandelaar_tel]>,<br />
                                        etc
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                [% END %]
                [% betrokkenen = zaak.scalar.zaak_betrokkenen.scalar.search_gerelateerd %]
                [% WHILE (betrokkene = betrokkenen.next) %]
                    <tr class="table_ztb_tr">
                        <td class="td300">[% c.loc(betrokkene.betrokkene_type) %]</td>
                        <td class="td250"><a href="[% c.uri_for('/betrokkene/get/betrokkene-' _ betrokkene.betrokkene_type _ '-' _ betrokkene.gegevens_magazijn_id) %]" class="ezra_dialog" title="Informatie over behandelaar">[% betrokkene.naam %]</a></td>
                        <td>[% betrokkene.rol | html_entity %]</td>
                        <td class="td30">
                            <div class="dropdown-wrap right">
                                <div class="dropdown-init icon-toelichting icon icon-hover ezra_dropdown_init_hover"></div>
                                <div class="dropdown dropdown-left dropdown-tooltip">
                                    <div class="dropdown-pijl"></div>
                                    <div class="dropdown-content">
                                    <strong>Magic Strings:</strong><br/>
                        <[[% betrokkene.magic_string_prefix %]_naam]>,<br />
                        <[[% betrokkene.magic_string_prefix %]_voorvoegsel]>,<br />
                                        etc
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                [% END %]



                [% IF zaak.kenmerk.org_eenheid %]
                    <tr class="table_ztb_tr">
                        <td class="td300">Afdeling</td>
                        <td class="td250">[% zaak.kenmerk.org_eenheid.name | html_entity %]</a></td>
                        <td>-</td>
                        <td class="td30">&nbsp;</td>
                    </tr>
                [% END %]
                </tbody>
            </table>
        
        
        <table class="table_ztb marginbottom">
        <thead>
            <th colspan="4" class="th_16px">Adressen en gebouwen</th>
        </thead>
        <tbody>
            <tr>
                <th class="td300">Type</th>
                <th class="td250">Naam</th>
                <th>Soort relatie</th>
                <th class="td30"></th>
            </tr>
            [% locatie_zaak = zaak.scalar.locatie_zaak.columns_bag.hash %]
            [% FOREACH typerow IN locatie_zaak.keys %]
                [% NEXT UNLESS locatie_zaak.$typerow %]
                [% NEXT IF typerow == 'id' %]
                [% NEXT IF typerow == 'type' %]
                <tr class="table_ztb_tr">
                    <td class="td300">[% typerow | ucfirst %]</td>
                    <td class="td250">
                        [% c.model('Gegevens::Bag').bag_human_view_by_id(typerow _ '-' _ locatie_zaak.$typerow) %]
                    </td>
                    <td>Zaakobject</td>
                    <td class="td30">
                        <a href="/gegevens/bag/[% typerow %]-[% locatie_zaak.$typerow %]/info/[% typerow %]" class="ezra_dialog icon icon-toelichting icon-hover right" title="Informatie over adres of gebrouw"></a>
                    </td>
                </tr>
            [% END %]

            [% IF zaak.aanvrager.verblijfsobject && zaak.zaaktype_node_id.adres_aanvrager %]
                <tr class="table_ztb_tr">
                    <td class="td300">Adres</td>
                    <td class="td250">
                        [% zaak.aanvrager.verblijfsobject.hoofdadres.openbareruimte.naam %]
                        [% zaak.aanvrager.verblijfsobject.hoofdadres.nummeraanduiding %]
                    </td>
                    <td>Correspondentie</td>
                    <td class="td30">
                        <a href="/gegevens/bag/verblijfsobject-[% zaak.kenmerk.aanvrager.verblijfsobject.identificatie %]/info/verblijfsobject" class="ezra_dialog icon icon-toelichting icon-hover right" title="Informatie over adres of gebrouw"></a>
                    </td>
                </tr>
            [% END %]
            </tbody>
        </table>
    </div>
</div>
    
[% END %]

[% IF pip %]
    [% IF zaak.zaaktype_node_id.zaaktype_kenmerken.scalar.search({
        pip => 1
    }).count %]
        [% PROCESS zaak/elements/view_kenmerken.tt %]
    [% END %]
[% END %]


[% UNLESS pip %]

    <h3>
        <a href="#">Voortgang</a>
    </h3>
    <div class="ui-accordion-content-padding">
        <div class="progress-accordion clearfix ui-accordion-inner">
            <div class="progress progress-large block">
                <div class="inner">
                    <p class="header">Vooruitgang zaak [% zaak.nr %]</p>
                    <div class="flexible progress-wrap clearfix">
                        <div class="progress-bar holder rounded shadow">
                            <div class="progress-value value rounded">
                                <div class="perc">[% zaak.status_perc %]</div>
                            </div>
                        </div>
                        <div class="start-end">
                            <span class="progress-start">Geregistreerd</span><span class="progress-end">Afgehandeld</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="progress progress-large block">
                <div class="inner">
                    [% total_days = ((zaak.streefafhandeldatum.epoch - zaak.registratiedatum.epoch) / 86400) %]
                    <p class="header">Dag [% zaak.days_running %] van [% zaak.days_left  | format('%0d') %]</p>
                    <div class="flexible progress-wrap clearfix">
                        <div class="progress-bar holder rounded shadow">
                            <div class="progress-time value rounded">
                                <div class="green color rounded-left"></div>
                                <div class="orange color"></div>
                                <div class="red color rounded-right"></div>
                                <div class="current"></div>
                                <div class="perc">[% ( (zaak.days_perc < 0 ?  0 : zaak.days_perc) > 100 ? 100 : (zaak.days_perc < 0 ?  0 : zaak.days_perc) ) %]</div>
                            </div>
                        </div>
                        <div class="start-end">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


[% END %]




</div>

